You are here

Prerequisites for using Alfresco Analytics

There are a number of software requirements for using Alfresco Analytics.

You must have one of each of the following components:

Platform requirements

Linux operating system

Database requirements

You require one of the following databases:
  • PostgreSQL v9.3.5 or later (this is shipped in the Alfresco Analytics distribution zip, but you can use an existing instance if required). See Alfresco supported platforms for your version of Alfresco for information on the supported version of PostgreSQL.
    Note: If you are using PostgreSQL, you must have a 64-bit Linux operating system.
  • MySQL Server v5.1.73, or v5.5, or a later release

Analytics server requirements

Dual-core processor with a minimum of 8 GB RAM. See Pentaho Components Reference for further details on the required specification for the Analytics server.

Alfresco requirements

Alfresco Enterprise 5.0 or later for both pre-defined and custom reports (this must run with either PostgreSQL or MySQL as specified in the database requirements)

Java requirements

Java 8

General requirements

Apache ActiveMQ 5.13 or later (this is shipped in the Alfresco Analytics distribution zip, but you can use an existing instance if required)

Make sure that you have added the JDBC database driver to your Alfresco classpath (for example, tomcat/lib) for the database that you are using.

To avoid scalability problems and Tomcat conflict issues, install the Alfresco and Analytics servers on separate logical servers. See Analytics architecture for more information.

Browser support

The Analytics server supports the following browsers:
  • Chrome version 37 or later
  • Internet Explorer version 11 or later
  • Mozilla Firefox version 31 or later

Sending feedback to the Alfresco documentation team

You don't appear to have JavaScript enabled in your browser. With JavaScript enabled, you can provide feedback to us using our simple form. Here are some instructions on how to enable JavaScript in your web browser.